[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libc6 upgrade apparently failing on some netwinders

On 2007-05-02 18:56 +0100, peter green wrote:
> nearly a week ago a bug was filed against libc6 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=421037) reporting a sigill when upgrading on a netwinder. Replies to the bug report say that on some netwinders it does work.
> there is still no information in the bug report log on what the illegal instruction was and very little information on the characteristics (model number, kernel version etc) of the netwinders that suffer from the issue.
> can any arm porters shed any light on this issue?

I tried the upgrade on my netwinder and there was no problem:
netwinder:~# cat /proc/cpuinfo
Processor       : StrongARM-110 rev 3 (v4l)
BogoMIPS        : 185.54
Features        : swp half 26bit fastmult 
CPU implementer : 0x44
CPU architecture: 4
CPU variant     : 0x0
CPU part        : 0xa10
CPU revision    : 3

Hardware        : Rebel-NetWinder
Revision        : 52ff
Serial          : 0000000000000ce7

netwinder:~# uname -a
Linux netwinder 2.6.18-4-footbridge #1 Mon Mar 26 16:11:07 BST 2007 armv4l GNU/Linux

netwinder:~# dpkg -s libc6
Version: 2.5-4

Is it perhaps an issue of which kernel in use when glibc is upgraded?

Principal hats:  Balloonz - Toby Churchill - Aleph One - Debian

Reply to: